<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
$paypal_icredit_admin_class = Icredit_Admin_Fields_Paypal::getInstance();
$fields = $paypal_icredit_admin_class->paypal_fields_extension();
$str_submit = __( 'Save', 'woocommerce_icredit_paypal' );
if ( isset( $_POST['paypal_icredit_nonce_field'] ) && wp_verify_nonce( $_POST['paypal_icredit_nonce_field'], 'paypal_icredit_nonce_action' ) ) {
    if ( isset( $_POST['paypal_icredit_admin_options_hidden'] ) && $_POST['paypal_icredit_admin_options_hidden'] == '1' ) {
	    if ( current_user_can( 'activate_plugins' ) ) {
		    $paypal_icredit_admin_class->save_options( $_POST );
            $fields = $paypal_icredit_admin_class->paypal_fields_extension();
        }
    }
}
?>
<div id="primary" class="content-area">
    <div class="paypal_icredit_admin_options_page">
        <form method="post" name="paypal_icredit_admin_options" id="paypal_icredit_admin_options" action="">
	        <?php wp_nonce_field( 'paypal_icredit_nonce_action', 'paypal_icredit_nonce_field' ); ?>
            <input type="hidden" name="paypal_icredit_admin_options_hidden" value="1" />
            <?php if ( !empty( $fields ) ) : ?>
                <?php foreach( $fields as $key => $field ) :
                    $extraClass = '';
                    if ( $key === 'handle_paypal_ipn' ) {
	                    $extraClass = 'fullRow';
                    }
                    ?>
                <div class="groupFields <?php echo $extraClass;?>">
                    <label for="groupFields_<?php echo $key;?>"><?php echo $field['title'];?></label>
                    <?php if ( $field['type'] === 'checkbox' ) :
                        $chk = '';
                        if ( $field['default'] == 1 || $field['default'] == '1' || $field['default'] == 'true' || $field['default'] == true ) {
	                        $chk = 'checked';
                        }
                        ?>
                        <input type="checkbox" value="<?php echo $field['default'];?>" name="<?php echo $key;?>" id="groupFields_<?php echo $key;?>" <?php echo $chk;?>>
                    <?php elseif ( $field['type'] === 'select' ) : ?>
                        <select name="<?php echo $key;?>" id="groupFields_<?php echo $key;?>">
                            <?php foreach ( $field['options'] as $ok => $op ) :
                                $selected = '';
                                if ( $ok === $field['default'] ) {
                                    $selected = 'selected';
                                }
                                ?>
                                <option value="<?php echo $ok;?>" <?php echo $selected;?>><?php echo $op;?></option>
                            <?php endforeach;?>
                        </select>
                    <?php elseif ( $field['type'] === 'text' ) : ?>
                        <input type="text" value="<?php echo $field['default'];?>" name="<?php echo $key;?>" id="groupFields_<?php echo $key;?>">
                    <?php elseif ( $field['type'] === 'number' ) : ?>
                    <input type="number" value="<?php echo $field['default'];?>" name="<?php echo $key;?>" id="groupFields_<?php echo $key;?>">
                    <?php elseif ( $field['type'] === 'email' ) : ?>
                    <input type="email" value="<?php echo $field['default'];?>" name="<?php echo $key;?>" id="groupFields_<?php echo $key;?>">
                    <?php endif; ?>
                    <?php if ( !empty( $field['description'] ) ) : ?>
                        <p class="noticeDescription"><?php echo $field['description'];?></p>
                    <?php endif;?>
                </div>
                <?php endforeach;?>
	        <?php endif;?>
            <div class="groupFields fullRow">
                <button id="groupFields_submit_btn" role="button" type="submit" aria-label="<?php echo $str_submit;?>" title="<?php echo $str_submit;?>"><?php echo $str_submit;?></button>
            </div>
        </form>
    </div>
</div>
